Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Class ChapterAutoNumber

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  com.lowagie.text.Section
                      com.lowagie.text.Chapter
                          com.lowagie.text.ChapterAutoNumber

All Implemented Interfaces:
  Element, LargeElement, TextElementArray, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class ChapterAutoNumber

extends Chapter

Chapter with auto numbering.

Author:
  Michael Niedermair
See Also:
  Serialized Form

Field Summary
`protected boolean` | `numberSet` Is the chapter number already set?
`private static long` | `serialVersionUID`

Fields inherited from class com.lowagie.text.Section
`addedCompletely, bookmarkOpen, bookmarkTitle, complete, indentation, indentationLeft, indentationRight, notAddedYet, numberDepth, numbers, numberStyle, NUMBERSTYLE_DOTTED, NUMBERSTYLE_DOTTED_WITHOUT_FINAL_DOT, subsections, title, triggerNewPage`

Fields inherited from class java.util.AbstractList
`modCount`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

Constructor Summary
`ChapterAutoNumber(Paragraph para)` Create a new object.
`ChapterAutoNumber(java.lang.String title)` Create a new object.

Method Summary
`Section` | `addSection(Paragraph title)` Create a new section for this chapter and add it.
`Section` | `addSection(java.lang.String title)` Create a new section for this chapter and ad it.
`int` | `setAutomaticNumber(int number)` Changes the Chapter number.

Methods inherited from class com.lowagie.text.Chapter
`isNestable, type`

Methods inherited from class com.lowagie.text.Section
`add, add, addAll, addMarkedSection, addSection, addSection, addSection, addSection, addSection, addSection, constructTitle, flushContent, getBookmarkTitle, getChunks, getDepth, getIndentation, getIndentationLeft, getIndentationRight, getNumberDepth, getNumberStyle, getTitle, isAddedCompletely, isBookmarkOpen, isChapter, isComplete, isContent, isNotAddedYet, isSection, isTriggerNewPage, newPage, process, setAddedCompletely, setBookmarkOpen, setBookmarkTitle, setChapterNumber, setComplete, setIndentation, setIndentationLeft, setIndentationRight, setNotAddedYet, setNumberDepth, setNumberStyle, setTitle, setTriggerNewPage`

Methods inherited from class java.util.ArrayList
`addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### numberSet

    protected boolean numberSet

  Is the chapter number already set?

  Since:
    2.1.4

Constructor Detail

### ChapterAutoNumber

    public ChapterAutoNumber(Paragraph para)

  Create a new object.

  Parameters:
    `para` - the Chapter title (as a `Paragraph`)

### ChapterAutoNumber

    public ChapterAutoNumber(java.lang.String title)

  Create a new object.

  Parameters:
    `title` - the Chapter title (as a `String`)

Method Detail

### addSection

    public Section addSection(java.lang.String title)

  Create a new section for this chapter and ad it.

  Overrides:
    `addSection` in class `Section`
  Parameters:
    `title` - the Section title (as a `String`)
  Returns:
    Returns the new section.

### addSection

    public Section addSection(Paragraph title)

  Create a new section for this chapter and add it.

  Overrides:
    `addSection` in class `Section`
  Parameters:
    `title` - the Section title (as a `Paragraph`)
  Returns:
    Returns the new section.

### setAutomaticNumber

    public int setAutomaticNumber(int number)

  Changes the Chapter number.

  Parameters:
    `number` - the new chapter number
  Since:
    2.1.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD